import '../../../../../../food_delivery_client.dart';

class WBasketEmpty extends StatelessWidget {
  const WBasketEmpty({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<MainBloc, MainState>(
      builder: (context, state) {
        return Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            70.verticalSpace,
            SvgPicture.asset(AppIcons.icEmptyBasket),
            Text(
              context.loc.addItemsStartBasket,
              textAlign: TextAlign.center,
              style: AppTextStyles.size20Medium,
            ),
            12.verticalSpace,
            Text(
              context.loc.basketHint,
              textAlign: TextAlign.center,
              style: AppTextStyles.size16Regular.copyWith(
                color: AppColors.c545454,
                height: 24 / 16,
              ),
            ),
            38.verticalSpace,
            AppButton(
              name: context.loc.startShopping,
              onPressed: () {
                context.read<MainBloc>().add(MainEvent.loaded(0));
              },
              height: 45,
              width: 250,

              borderRadius: 99,
            ),
          ],
        );
      },
    ).paddingSymmetric(horizontal: 35);
  }
}
